![For Good, Not Evil](screenshots/good-not-evil.webp)

# For Good, Not Evil ― An ELOS License Builder

Since the penning of the GPL, Free and Open Source software has led the charge
of software for a better world, and it splash it has made is unparalleled.

The world of today is not the world our free software licenses were written for.
The licenses we created to protect freedom are being taken advantage of by
institutions like ICE and surveillance states to take away the freedom of others.

**It's time to reclaim our software in the name of freedom.**

This project is an ELOS, or **E**thically **L**icensed **O**pen **S**ource,
license builder, for building licenses that help build a commons that nurtures
freedom instead of taking it.

We aim to spread awareness of the variety of different ELOS licenses that are
out there, and help people find one that fits their needs.  Hopefully, we can
create an approachable license repository to help people get started in ELOS
without needing to navigate the forest of licenses and legalese that might
otherwise be a barrier.

## Try it out!

this section yet to be completed

## A brief aside about the project name

We named our project "For Good, Not Evil ― An ELOS License Builder".  Some might
recognize the phrase, "For Good, Not Evil," from the JSON license.

Arguably one of the first ELOS licenses, the JSON license (yes that JSON) is
nearly identical to the MIT license, except for the addition of one small
phrase.

> The Software shall be used for Good, not Evil.

This tiny phrase sparked a startling amount of controversy, including IBM
explicitly acquiring a license to use JSON for Evil. [[source @ 39:45]][1]

At some point in time, you have to wonder, why is it such a bold statement to
not want to see your software used for evil, and what does it say about the
state of open source that so many think such a thing is impossible?

By using this phrase, we don't want to claim it as our own.  To the contrary,
nothing would make me happier than to see it used as a battle cry for any
developers who are sick of being told that writing for the commons means giving
up the hope of making a better world.

[1]: https://www.youtube.com/watch?v=-C-JoyNuQJs

## Building

This project is built using Elm, Sass, and HTML.  To build it on your own, you'll need to install

- [elm](https://guide.elm-lang.org/install/elm.html)
- [Sass](https://sass-lang.com/install) (`rubygem-sass` on Fedora)
- [uglify-js](https://lisperator.net/uglifyjs/) (`uglify-js` on Fedora)
- `make` (`make` on Fedora)

Then, clone the git repo and run `make` to build the site to the `site/` directory

For development, you may want to use the commands

```bash
ls src/**.elm | entr elm make src/Main.elm --output site/elm.min.js
```

and

```bash
sass --watch site/styles.scss
```

to automatically recompile assets as you work on the project.
